## Index

### Classes

- RootObject
- XNode

### Interfaces

- IAttributes

### Type aliases

- AttachedNode
- IMergedControl
- NodeFactory

## Type aliases

### AttachedNode

AttachedNode: function

- Defined in src/core/XNode.ts:76

#### Type declaration

- - (n: any): object

  - #### Parameters

    - ##### n: any

    #### Returns object

    - ##### [key: string]: any

### IMergedControl

IMergedControl<T, T1>: object & object

- Defined in src/core/XNode.ts:65

#### Type parameters

- #### T

- #### T1

### NodeFactory

NodeFactory: function

- Defined in src/core/XNode.ts:74

#### Type declaration

- - (a?: any, ...nodes: XNode[]): XNode

  - #### Parameters

    - ##### Optional a: any

    - ##### Rest ...nodes: XNode[]

    #### Returns XNode

Generated using TypeDoc